APIAnalytics
LLM session timeline
Paginated per-request timeline for one session, ordered by time.
GET
/analytics/llm-session-timelinePaginated per-request timeline for one session, ordered by time.
Query Parameters
offset?integer
Number of items to skip before returning results.
Format
int32Range
0 <= valueDefault
0limit?integer
Maximum number of items to return per page.
Format
int32Range
0 <= value <= 20Default
10start_time*string
Start of the time range to report on, inclusive.
Format
date-timeend_time*string
End of the time range to report on, exclusive.
Format
date-timesession_key*string
The session to report on, identified by its provider session key.
provider*string
Telemetry provider of the session.
Value in
- "claude"
- "codex"
Response Body
application/json
application/json
curl -X GET "https://example.com/analytics/llm-session-timeline?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z&session_key=string&provider=claude"{ "items": [ { "occurred_at": "2019-08-24T14:15:22Z", "model": "string", "cost": 0.1, "tokens": 0, "by_type": [ { "type": "string", "tokens": 0 } ], "duration_ms": 0, "prompt_id": "string" } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}{ "code": "bad_request", "message": "string", "validation_errors": [ { "field": "string", "message": "string", "rule": "string" } ]}